import { DashboardViewType } from "./externalApiTypes";
export declare function requestHide(): Promise<void>;
export declare function getIsWindowVisible(): Promise<boolean>;
export declare function getLastShowReason(): Promise<any>;
export declare function addVisibilityEventListeners(windowVisibleCallback?: (showArgs: string) => any, windowHiddenCallback?: () => any): Promise<void>;
export declare function removeVisibilityEventListeners(windowVisibleCallback?: (showArgs: string) => any, windowHiddenCallback?: () => any): Promise<void>;
export declare function addViewStateUpdatedEventListener(viewStateUpdatedCallback?: () => any): Promise<void>;
export declare function removeViewStateUpdatedEventListener(viewStateUpdatedCallback?: () => any): Promise<void>;
export declare function getViewState(): Promise<DashboardViewType>;
export declare function requestChangeView(isExtended: boolean): Promise<void>;
export declare function isPinWidgetsFlyout(): Promise<boolean>;
export declare function setPinWidgetsFlyout(isPinned: boolean): Promise<void>;
export declare function addViewWidthUpdatedEventListener(viewWidthUpdatedCallback?: () => any): Promise<void>;
export declare function removeViewWidthUpdatedEventListener(viewWidthUpdatedCallback?: () => any): Promise<void>;
export declare function getViewWidth(): Promise<any>;
